from django import forms
from netbox.forms import NetBoxModelForm, NetBoxModelFilterSetForm
from utilities.forms.fields import CommentField
from .models import dnacServer

class dnacServerForm(NetBoxModelForm):

    class Meta:
        model = dnacServer
        fields = ('hostname', 'username', 'password', 'version', 'verify', 'default_filter_action', 'tags')

class dnacServerFilterForm(NetBoxModelFilterSetForm):
    model = dnacServer

    username = forms.TextInput()
    version = forms.IntegerField(
        required=False
    )
    verify = forms.BooleanField(
        required=False
    ) 
    status = forms.BooleanField(
        required=False
    )
    default_filter_action = forms.BooleanField(
        required=False
    )
