from django.urls import path
from netbox.views.generic import ObjectChangeLogView
from . import models, views

urlpatterns = [
    path('servers/', views.dnacServerListView.as_view(), name='dnac_server_list'),
    path('servers/add/', views.dnacServerEditView.as_view(), name='dnac_server_add'),
    path('servers/<int:pk>/', views.dnacServerView.as_view(), name='dnac_server'),
    path('servers/<int:pk>/edit/', views.dnacServerEditView.as_view(), name='dnac_server_edit'),
    path('servers/<int:pk>/delete/', views.dnacServerDeleteView.as_view(), name='dnac_server_delete'),
    path('servers/<int:pk>/changelog/', ObjectChangeLogView.as_view(), name='dnac_server_changelog', kwargs={'model': models.dnacServer}),
]